# Get company support config

Endpoint: GET /v2/companies/{companyId}/support-config
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Path parameters:

  - `companyId` (string, required)
    Identifier for company.

## Header parameters:

  - `x-application-id` (string)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `contactNumbers` (array)
    List of support phone numbers.

  - `contactNumbers.countryCode` (integer)
    two digit country code
    Example: 91

  - `contactNumbers.countryCodeSource` (string)
    Enum: "UNSPECIFIED", "FROM_NUMBER_WITH_PLUS_SIGN", "FROM_NUMBER_WITH_IDD", "FROM_NUMBER_WITHOUT_PLUS_SIGN", "FROM_DEFAULT_COUNTRY"

  - `contactNumbers.extension` (string)
    phone number extension
    Example: 222

  - `contactNumbers.isoCountryCode` (string)
    ISO alpha-2 code
    Example: IN

  - `contactNumbers.italianLeadingZero` (boolean)
    Example: true

  - `contactNumbers.nationalNumber` (integer)
    Example: 8150

  - `contactNumbers.numberOfLeadingZeros` (integer)
    Example: 1

  - `contactNumbers.preferredDomesticCarrierCode` (string)
    Example: 7

  - `contactNumbers.rawInput` (string)
    Example: 77777

  - `contactNumbers.type` (string)
    Enum: "UNKNOWN_TYPE", "MOBILE", "LANDLINE"

  - `emailAddresses` (array)
    List of the support email addresses.

  - `freshdeskConfig` (object)
    Configuration for freshdesk.

  - `freshdeskConfig.enabled` (boolean, required)
    Whether freshdesk is enabled or not.
    Example: true

  - `freshdeskConfig.hasCredentials` (boolean, required)
    Whether the company has its own freshdesk credentials.
    Example: false

  - `freshdeskConfig.credentials` (object)
    Mobile and web Credentials related to freshdesk.

  - `freshdeskConfig.credentials.webCredentials` (object)
    Credentials related to freshdesk.

  - `freshdeskConfig.credentials.webCredentials.domain` (string, required)
    Domain related to fresh desk.

  - `freshdeskConfig.credentials.webCredentials.appId` (string, required)
    An identifier for fresh desk's app.

  - `freshdeskConfig.credentials.webCredentials.appKey` (string, required)
    A secret key assigned to user's app by fresh desk.

  - `tier` (string)
    Tier of User.
Note: In default UI, BASIC is displayed as Standard, and SEAT1A is displayed as VIP.
Display names for other tiers are driven by the company tier configuration.
    Enum: "BASIC", "SEAT1A", "TIER_2", "TIER_3", "TIER_4", "TIER_5", "TIER_6", "TIER_7", "TIER_8", "TIER_9", "TIER_10", "TIER_11", "TIER_12", "TIER_13", "TIER_14", "TIER_15", "TIER_16", "TIER_17", "TIER_18", "TIER_19", "TIER_20", "TIER_21", "TIER_22", "TIER_23", "TIER_24", "TIER_25", "TIER_26", "TIER_27", "TIER_28", "TIER_29", "TIER_30", "TIER_31"

  - `genesysConfig` (object)
    Configuration for genesys.

  - `genesysConfig.enabled` (boolean, required)
    Whether genesys is enabled or not.
    Example: true

  - `genesysConfig.dataUrl` (string, required)
    Data url for genesys.

  - `portalUrls` (array)
    List of the support portal urls.

  - `zendeskConfig` (object)
    Configuration for zendesk.

  - `zendeskConfig.enabled` (boolean, required)
    Whether Zendesk Chat is enabled or not.
    Example: true

  - `zendeskConfig.integrationId` (string, required)
    Integration ID for Zendesk Chat for Web.
    Example: 1234567890

  - `zendeskConfig.androidIntegrationId` (string)
    Integration ID for Zendesk Chat for Android.
    Example: 1234567890

  - `zendeskConfig.iosIntegrationId` (string)
    Integration ID for Zendesk Chat for iOS.
    Example: 1234567890

  - `genesysCloudConfig` (object)
    Configuration for Genesys cloud.

  - `genesysCloudConfig.enabled` (boolean, required)
    Whether Genesys Cloud is enabled or not.
    Example: true

  - `genesysCloudConfig.deploymentId` (string, required)
    DeploymentId for Genesys Cloud.
    Example: 52dc2a6f-772a-4edf-96d3-b3f0c49400a7

  - `genesysCloudConfig.environment` (string, required)
    Environment for Genesys Cloud.
    Example: usa-1

  - `genesysCloudConfig.genesysScriptUrl` (string, required)
    Url for Genesys Cloud Script.
    Example: https://test.test.com

  - `genesysCloudConfig.clientId` (string)
    Client ID for Genesys Cloud.
    Example: 1ab2cd3efghijklmnop4qr5s6t

  - `twilioChatConfig` (object)
    Configuration for Twilio Chat.

  - `twilioChatConfig.enabled` (boolean, required)
    Whether Twilio Chat is enabled or not.

  - `cognigyChatConfig` (object)
    Cognigy Chat Config.

  - `cognigyChatConfig.enabled` (boolean)
    Whether Cognigy chat is enabled or not.

  - `cognigyChatConfig.scriptUrl` (string)
    Url for Cognigy Script.
    Example: https://your-cognigy-instance.com/script/abcdef123456

  - `cognigyChatConfig.initWebchatEndpoint` (string)
    Endpoint for Cognigy initWebchat method.
    Example: https://your-cognigy-instance.com/initWebchat

  - `cognigyChatConfig.sessionTimeout` (integer)
    Session timeout (in minutes) for Cognigy Chat.
    Example: 30

  - `cognigyChatConfig.cssUrl` (string)
    Url for Cognigy Chat CSS.
    Example: https://your-server.com/css/chat.css

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 404:

  - `404` (unknown)
    The specified resource was not found.

## Response 404 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

